package com.ruoyi.postCheck.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 打分表(职能互评生产日常)对象 post_assessment_rating_other
 *
 * @author csg
 * @date 2024-01-01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "打分表(职能互评生产日常)对象")
@TableName("post_assessment_rating_other") // 数据库表名
@AllArgsConstructor
@NoArgsConstructor
public class PostAssessmentRatingOther extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("类型：1-职能互评；2-生产日常；")
    @TableField(value = "type")
    @Excel(name = "类型：1-职能互评；2-生产日常；")
    private Integer type;

    @ApiModelProperty("批次号")
    @TableField(value = "batch_id")
    @Excel(name = "批次号", readConverterExp = "管=理员创建的")
    private String batchId;

    @ApiModelProperty("评分开始时间")
    @TableField(value = "start_time")
    @Excel(name = "评分开始时间", readConverterExp = "管=理员创建的")
    private Date startTime;

    @ApiModelProperty("状态：1-进行中；2-已完成")
    @TableField(value = "status")
    @Excel(name = "状态：1-进行中；2-已完成")
    private Integer status;

    @ApiModelProperty("评分部门ID：打分部门，自己给其他12个部门打分；")
    @TableField(value = "dept_id")
    @Excel(name = "评分部门ID：打分部门，自己给其他12个部门打分；")
    private Long deptId;

    @ApiModelProperty("评分完成时间")
    @TableField(value = "complete_time")
    @Excel(name = "评分完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date completeTime;

    @ApiModelProperty("评分人ID")
    @TableField(value = "score_user_id")
    @Excel(name = "评分人ID")
    private Long scoreUserId;

    @ApiModelProperty("评分人姓名")
    @TableField(value = "score_user_name")
    @Excel(name = "评分人姓名")
    private String scoreUserName;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;


    @ApiModelProperty("明细表集合")
    @TableField(exist = false)
    private List<PostAssessmentRatingOtherInfo> children;

}
