package com.ruoyi.postCheck.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 岗检计划明细表对象 post_plan_info
 *
 * @author csg
 * @date 2023-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "岗检计划明细表对象")
@TableName("post_plan_info") // 数据库表名
public class PostPlanInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("计划ID")
    @TableField(value = "post_plan_id")
    @Excel(name = "计划ID")
    private Long postPlanId;

    @ApiModelProperty("被检查部门ID")
    @TableField(value = "checked_dept_id")
    @Excel(name = "被检查部门ID")
    private Long checkedDeptId;

    @ApiModelProperty("检查时间")
    @TableField(value = "check_time")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;

    @ApiModelProperty("被检查岗位ID")
    @TableField(value = "checked_post_id")
    @Excel(name = "被检查岗位ID")
    private Long checkedPostId;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;

    @ApiModelProperty("岗检状态：1-未检；2-已检；")
    @TableField(value = "status")
    @Excel(name = "岗检状态")
    private Integer status;


    @ApiModelProperty("打印人ID")
    @TableField(value = "print_user_id")
    @Excel(name = "打印人ID")
    private Long printUserId;

    @ApiModelProperty("打印时间")
    @TableField(value = "print_time")
    @Excel(name = "打印时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;

    @ApiModelProperty("上传：检查后的检查表照片或PDF，磁盘相对路径")
    @TableField(value = "checked_img")
    @Excel(name = "上传：检查后的检查表照片或PDF，磁盘相对路径")
    private String checkedImg;

    @ApiModelProperty("上传：检查人ID")
    @TableField(value = "checked_user_id")
    @Excel(name = "上传：检查人ID")
    private Long checkedUserId;

    @ApiModelProperty("上传：检查时间")
    @TableField(value = "checked_time")
    @Excel(name = "上传：检查时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkedTime;
}
