package com.ruoyi.postCheck.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 岗检方案对象 post_programme
 *
 * @author csg
 * @date 2023-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "岗检方案对象")
@TableName("post_programme") // 数据库表名
public class PostProgramme extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("名称")
    @TableField(value = "name")
    @Excel(name = "名称")
    private String name;

    @ApiModelProperty("提交日期")
    @TableField(value = "submit_date")
    @Excel(name = "提交日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date submitDate;

    @ApiModelProperty("状态：1-待审核；2-审核中；3-通过；4-驳回；")
    @TableField(value = "status")
    @Excel(name = "状态：1-待审核；2-审核中；3-通过；4-驳回；")
    private Integer status;

    @ApiModelProperty("审核人ID")
    @TableField(value = "status_user_id")
    @Excel(name = "审核人ID")
    private Long statusUserId;

    @ApiModelProperty("审核时间")
    @TableField(value = "status_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间")
    private Date statusTime;

    @ApiModelProperty("1-人力资源审批-状态：1-待审核；3-通过；4-驳回；")
    @TableField(value = "status_hr")
    @Excel(name = "1-人力资源审批-状态：1-待审核；3-通过；4-驳回；")
    private Integer statusHr;

    @ApiModelProperty("1-人力资源审批人ID")
    @TableField(value = "status_hr_user_id")
    @Excel(name = "1-人力资源审批人ID")
    private Long statusHrUserId;


    @ApiModelProperty("1-人力资源审批-通过日期")
    @TableField(value = "date_hr")
    @Excel(name = "1-人力资源审批-通过日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateHr;

    @ApiModelProperty("1-人力资源审批-未通过理由")
    @TableField(value = "reason_hr")
    @Excel(name = "1-人力资源审批-未通过理由")
    private String reasonHr;

    @ApiModelProperty("2-内控法务部审批-状态：1-待审核；3-通过；4-驳回；")
    @TableField(value = "status_icfa")
    @Excel(name = "2-内控法务部审批-状态：1-待审核；3-通过；4-驳回；")
    private Integer statusIcfa;

    @ApiModelProperty("2-内控法务部审批人ID")
    @TableField(value = "status_icfa_user_id")
    @Excel(name = "2-内控法务部审批人ID")
    private Long statusIcfaUserId;

    @ApiModelProperty("2-内控法务部审批-通过日期")
    @TableField(value = "date_icfa")
    @Excel(name = "2-内控法务部审批-通过日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dateIcfa;

    @ApiModelProperty("2-内控法务部审批-未通过理由")
    @TableField(value = "reason_icfa")
    @Excel(name = "2-内控法务部审批-未通过理由")
    private String reasonIcfa;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;

    @ApiModelProperty("岗检方案文件地址")
    @TableField(value = "disk_path")
    @Excel(name = "岗检方案文件地址")
    private String diskPath;

    @ApiModelProperty("提交部门ID")
    @TableField(value = "dept_id")
    @Excel(name = "提交部门ID")
    private Long deptId;

    @ApiModelProperty("提交部门名称")
    @TableField(value = "dept_name")
    @Excel(name = "提交部门名称")
    private String deptName;
}
