package com.ruoyi.postCheck.domain;

import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

/**
 * 岗检小组对象 post_team
 *
 * @author csg
 * @date 2023-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "岗检小组对象")
@TableName("post_team") // 数据库表名
public class PostTeam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("名称")
    @TableField(value = "name")
    @Excel(name = "名称")
    private String name;

    @ApiModelProperty("父ID")
    @TableField(value = "parent_id")
    @Excel(name = "父ID", readConverterExp = "0=代表根节点")
    private Long parentId;

    @ApiModelProperty("状态")
    @TableField(value = "status")
    @Excel(name = "状态", readConverterExp = "1=-启用；2-未启用")
    private Integer status;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;

    @ApiModelProperty("类型：1-联合办公室；2-岗检工作组；3-工作小组；")
    @TableField(value = "type")
    @Excel(name = "类型：1-联合办公室；2-岗检工作组；3-工作小组；")
    private Integer type;

    @ApiModelProperty("type=3时，工作小组权限（1-牵头；2-成员）")
    @TableField(value = "team_type")
    @Excel(name = "工作小组权限")
    private Integer teamType;

    @ApiModelProperty("子对象")
    private List<PostTeam> children = new ArrayList<>();
}
