package com.ruoyi.postCheck.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 岗检小组关联成员对象 post_team_user
 *
 * @author csg
 * @date 2023-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "岗检小组关联成员对象")
@TableName("post_team_user") // 数据库表名
public class PostTeamUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("岗检小组ID")
    @TableField(value = "post_team_id")
    @Excel(name = "岗检小组ID")
    private Long postTeamId;

    @ApiModelProperty("用户ID")
    @TableField(value = "user_id")
    @Excel(name = "用户ID")
    private Long userId;

    @ApiModelProperty("类型（1-组长；2-成员；）")
    @TableField(value = "type")
    @Excel(name = "类型", readConverterExp = "类型（1-组长；2-成员；）")
    private Long type;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;

}
