package com.ruoyi.postCheck.mapper;

import java.util.List;
import com.ruoyi.postCheck.domain.PostTeamUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 岗检小组关联成员Mapper接口
 *
 * @author csg
 * @date 2023-12-19
 */
public interface PostTeamUserMapper extends BaseMapper<PostTeamUser>
{
    /**
     * 查询岗检小组关联成员
     *
     * @param id 岗检小组关联成员主键
     * @return 岗检小组关联成员
     */
    public PostTeamUser selectPostTeamUserById(Long id);

    /**
     * 查询岗检小组关联成员列表
     *
     * @param postTeamUser 岗检小组关联成员
     * @return 岗检小组关联成员集合
     */
    public List<PostTeamUser> selectPostTeamUserList(PostTeamUser postTeamUser);

    /**
     * 新增岗检小组关联成员
     *
     * @param postTeamUser 岗检小组关联成员
     * @return 结果
     */
    public int insertPostTeamUser(PostTeamUser postTeamUser);

    /**
     * 修改岗检小组关联成员
     *
     * @param postTeamUser 岗检小组关联成员
     * @return 结果
     */
    public int updatePostTeamUser(PostTeamUser postTeamUser);

    /**
     * 删除岗检小组关联成员
     *
     * @param id 岗检小组关联成员主键
     * @return 结果
     */
    public int deletePostTeamUserById(Long id);

    /**
     * 批量删除岗检小组关联成员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePostTeamUserByIds(Long[] ids);
}
