package com.ruoyi.postCheck.service;

import java.util.List;
import com.ruoyi.postCheck.domain.PostCheckedItems;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 岗检表管理明细Service接口
 *
 * @author csg
 * @date 2024-01-05
 */
public interface IPostCheckedItemsService extends IService<PostCheckedItems>
{
    /**
     * 查询岗检表管理明细
     *
     * @param id 岗检表管理明细主键
     * @return 岗检表管理明细
     */
    public PostCheckedItems selectPostCheckedItemsById(Long id);

    /**
     * 查询岗检表管理明细列表
     *
     * @param postCheckedItems 岗检表管理明细
     * @return 岗检表管理明细集合
     */
    public List<PostCheckedItems> selectPostCheckedItemsList(PostCheckedItems postCheckedItems);

    /**
     * 新增岗检表管理明细
     *
     * @param postCheckedItems 岗检表管理明细
     * @return 结果
     */
    public int insertPostCheckedItems(PostCheckedItems postCheckedItems);

    /**
     * 修改岗检表管理明细
     *
     * @param postCheckedItems 岗检表管理明细
     * @return 结果
     */
    public int updatePostCheckedItems(PostCheckedItems postCheckedItems);

    /**
     * 批量删除岗检表管理明细
     *
     * @param ids 需要删除的岗检表管理明细主键集合
     * @return 结果
     */
    public int deletePostCheckedItemsByIds(Long[] ids);

    /**
     * 删除岗检表管理明细信息
     *
     * @param id 岗检表管理明细主键
     * @return 结果
     */
    public int deletePostCheckedItemsById(Long id);
}
