package com.ruoyi.postCheck.service;

import java.util.List;
import com.ruoyi.postCheck.domain.PostPlanCheckUser;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 岗检计划明细检查人表Service接口
 *
 * @author csg
 * @date 2023-12-19
 */
public interface IPostPlanCheckUserService extends IService<PostPlanCheckUser>
{
    /**
     * 查询岗检计划明细检查人表
     *
     * @param id 岗检计划明细检查人表主键
     * @return 岗检计划明细检查人表
     */
    public PostPlanCheckUser selectPostPlanInfoUserById(Long id);

    /**
     * 查询岗检计划明细检查人表列表
     *
     * @param postPlanCheckUser 岗检计划明细检查人表
     * @return 岗检计划明细检查人表集合
     */
    public List<PostPlanCheckUser> selectPostPlanInfoUserList(PostPlanCheckUser postPlanCheckUser);

    /**
     * 新增岗检计划明细检查人表
     *
     * @param postPlanCheckUser 岗检计划明细检查人表
     * @return 结果
     */
    public int insertPostPlanInfoUser(PostPlanCheckUser postPlanCheckUser);

    /**
     * 修改岗检计划明细检查人表
     *
     * @param postPlanCheckUser 岗检计划明细检查人表
     * @return 结果
     */
    public int updatePostPlanInfoUser(PostPlanCheckUser postPlanCheckUser);

    /**
     * 批量删除岗检计划明细检查人表
     *
     * @param ids 需要删除的岗检计划明细检查人表主键集合
     * @return 结果
     */
    public int deletePostPlanInfoUserByIds(Long[] ids);

    /**
     * 删除岗检计划明细检查人表信息
     *
     * @param id 岗检计划明细检查人表主键
     * @return 结果
     */
    public int deletePostPlanInfoUserById(Long id);
}
