package com.ruoyi.postCheck.service;

import java.util.Date;
import java.util.List;

import com.ruoyi.postCheck.domain.join.PostPlanJoinChecked;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 岗检记录上传列表Service接口
 *
 * @author csgff
 * @date 2023-12-22
 */
public interface IPostPlanJoinCheckedService {
    /**
     * 查询岗检记录上传列表
     *
     * @param id 岗检记录上传列表主键
     * @return 岗检记录上传列表
    public PostPlanJoinChecked selectPostPlanJoinCheckedById(Long id);
     */

    /**
     * 查询岗检记录上传列表列表
     *
     * @param postPlanJoinChecked 岗检记录上传列表
     * @return 岗检记录上传列表集合
     */
    public List<PostPlanJoinChecked> selectPostPlanJoinCheckedList(PostPlanJoinChecked postPlanJoinChecked);

    /**
     * 岗检完成确认
     *
     * @param planInfoId 岗检计划明细ID
     * @param checkedUserId 检查人ID
     * @param checkedTime 检查时间
     * @param checkedImg 检查表照片
     * @return 结果
     */
    public int checked(Long planInfoId, Long checkedUserId, Date checkedTime, String checkedImg);

    /**
     * 岗检完成确认后重新上传检查表照片
     *
     * @param planInfoId 岗检计划明细ID
     * @param checkedImg 检查表照片
     * @return 结果
     */
    public int imgReUpload(Long planInfoId, String checkedImg);
}
