package com.ruoyi.postCheck.service;

import java.util.List;
import com.ruoyi.postCheck.domain.PostTeamDept;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 岗检工作组关联部门Service接口
 *
 * @author csg
 * @date 2023-12-19
 */
public interface IPostTeamDeptService extends IService<PostTeamDept>
{
    /**
     * 查询岗检工作组关联部门
     *
     * @param id 岗检工作组关联部门主键
     * @return 岗检工作组关联部门
     */
    public PostTeamDept selectPostTeamDeptById(Long id);

    /**
     * 查询岗检工作组关联部门列表
     *
     * @param postTeamDept 岗检工作组关联部门
     * @return 岗检工作组关联部门集合
     */
    public List<PostTeamDept> selectPostTeamDeptList(PostTeamDept postTeamDept);

    /**
     * 新增岗检工作组关联部门
     *
     * @param postTeamDept 岗检工作组关联部门
     * @return 结果
     */
    public int insertPostTeamDept(PostTeamDept postTeamDept);

    /**
     * 修改岗检工作组关联部门
     *
     * @param postTeamDept 岗检工作组关联部门
     * @return 结果
     */
    public int updatePostTeamDept(PostTeamDept postTeamDept);

    /**
     * 批量删除岗检工作组关联部门
     *
     * @param ids 需要删除的岗检工作组关联部门主键集合
     * @return 结果
     */
    public int deletePostTeamDeptByIds(Long[] ids);

    /**
     * 删除岗检工作组关联部门信息
     *
     * @param id 岗检工作组关联部门主键
     * @return 结果
     */
    public int deletePostTeamDeptById(Long id);
}
