package com.ruoyi.postCheck.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.postCheck.mapper.PostTeamUserMapper;
import com.ruoyi.postCheck.domain.PostTeamUser;
import com.ruoyi.postCheck.service.IPostTeamUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 岗检小组关联成员Service业务层处理
 *
 * @author csg
 * @date 2023-12-19
 */
@Service
public class PostTeamUserServiceImpl extends ServiceImpl<PostTeamUserMapper, PostTeamUser> implements IPostTeamUserService
{
    @Autowired
    private PostTeamUserMapper postTeamUserMapper;

    /**
     * 查询岗检小组关联成员
     *
     * @param id 岗检小组关联成员主键
     * @return 岗检小组关联成员
     */
    @Override
    public PostTeamUser selectPostTeamUserById(Long id)
    {
        return postTeamUserMapper.selectPostTeamUserById(id);
    }

    /**
     * 查询岗检小组关联成员列表
     *
     * @param postTeamUser 岗检小组关联成员
     * @return 岗检小组关联成员
     */
    @Override
    public List<PostTeamUser> selectPostTeamUserList(PostTeamUser postTeamUser)
    {
        return postTeamUserMapper.selectPostTeamUserList(postTeamUser);
    }

    /**
     * 新增岗检小组关联成员
     *
     * @param postTeamUser 岗检小组关联成员
     * @return 结果
     */
    @Override
    public int insertPostTeamUser(PostTeamUser postTeamUser)
    {
        //TODO 自增主键修改为-MyBatis-Plus雪花算法(截取5位解决VUE精度丢失BUG)-系统登录日志
        if (postTeamUser.getId() == null)
            postTeamUser.setId(Long.parseLong(IdWorker.getIdStr().substring(4)));
        postTeamUser.setCreateDefault();
        return postTeamUserMapper.insertPostTeamUser(postTeamUser);
    }

    /**
     * 修改岗检小组关联成员
     *
     * @param postTeamUser 岗检小组关联成员
     * @return 结果
     */
    @Override
    public int updatePostTeamUser(PostTeamUser postTeamUser)
    {
        postTeamUser.setUpdateDefault();
        return postTeamUserMapper.updatePostTeamUser(postTeamUser);
    }

    /**
     * 批量删除岗检小组关联成员
     *
     * @param ids 需要删除的岗检小组关联成员主键
     * @return 结果
     */
    @Override
    public int deletePostTeamUserByIds(Long[] ids)
    {
        return postTeamUserMapper.deletePostTeamUserByIds(ids);
    }

    /**
     * 删除岗检小组关联成员信息
     *
     * @param id 岗检小组关联成员主键
     * @return 结果
     */
    @Override
    public int deletePostTeamUserById(Long id)
    {
        return postTeamUserMapper.deletePostTeamUserById(id);
    }
}
